<?
include_once("req.php");

array_walk($_REQUEST,"format_string");   
array_walk($_POST,"format_string");   
array_walk($_GET,"format_string");   

include_once("config.php");
include_once("session_class.php");
include_once("persinfo_class.php");
error_reporting(E_ALL ^ E_NOTICE);

session_start();
$session = new Sessions;

if ($session->is_session(session_id())) {$ok_sess=true;

$myinfo =new Persinfo($session->id_person);

if ((int)$myinfo->align==3) {$ok_sess=true;$myinfo->get_chat_params();

?>
<HTML><HEAD>
<link rel=stylesheet type="text/css" href="../i/main.css">
<meta content="text/html; charset=windows-1251" http-equiv=Content-type>
<META Http-Equiv=Cache-Control Content=no-cache>
<meta http-equiv=PRAGMA content=NO-CACHE>
<META Http-Equiv=Expires Content=0>
<SCRIPT LANGUAGE="JavaScript" SRC="../i/sl2.22.js"></SCRIPT>
</HEAD>
<body leftmargin=5 topmargin=5 marginwidth=5 marginheight=5 bgcolor=#D0D0D0>
<SCRIPT src='../i/commoninf.js'></SCRIPT>
<div id=hint4 class=ahint></div>
<p align=right><INPUT TYPE=button value="Вернуться" onClick="top.returned()"></p>
<h3>
<?
if ((date("d.m.y")!='02.04.07') && (date("d.m.y")!='02.05.07') && (date("d.m.y")!='01.06.07') && (date("d.m.y")!='30.07.07') && (date("d.m.y")!='28.08.07') && (date("d.m.y")!='26.09.07') && (date("d.m.y")!='26.10.07') && (date("d.m.y")!='24.11') && (date("d.m.y")!='24.12.07')) $moon=false; else $moon=true; 	
if ($moon) echo "<h2><img src=../i/smile/vamp.gif> ТЕМНЫЕ! СЕГОДНЯ ПОЛНАЯ ЛУНА!!! МОЖНО КУСАТЬСЯ В ЛЮБОЕ ВРЕМЯ</h2>";

if ($_REQUEST['vampir']) {
$ok=true;
if ($ok && date("H",time())>7 && date("H",time())<22 && !$moon) {$mess='Вампиры нападают только по ночам';$ok=false;}
if ($ok) {
	$res=db_use('array',"select p.id_person,p.align,p.life,p.maxlife,p.id_battle,p.id_room from person p
	where p.id_person=(select id_person from users where login='".mysql_escape_string($_REQUEST['vampir'])."')");
		$id_person_x=$res['id_person'];
}
	
	if ($ok && !$id_person_x) {
		$mess='Персонаж не найден'; $ok=false;
	} elseif ($ok && (int)$res['align']==3){
		$mess='На своих не нападаем';$ok=false;
	} elseif ($ok && $res['align']>=1.1 && $res['align']<2){
		$mess='Слишком светло';$ok=false;
	}elseif ($ok && $res['id_room']!=$myinfo->id_room) {
		$mess='Вы должны находиться в одной комнате';$ok=false;
	}elseif ($ok && $res['id_battle']){
		$mess='Персонаж находится в бою';$ok=false;
	}elseif ($ok && $myinfo->id_battle){
		$mess='Вы находитесь в бою';$ok=false;
	}elseif($ok && $myinfo->life>0.33*$myinfo->maxlife()){
		$mess='Не требуется кусаться. Здоровья достаточно, чтобы восстановиться самому.';$ok=false;
	}
	if ($ok){
		$res1=db_use('array',"select i.id_thing from inv i left join thing t on t.id_thing=i.id_thing left join thing_har th on th.id_thing2=t.id_thing2 
		where i.id_person='".$id_person_x."' and th.zakl='chesnok'");
		if ($res1['id_thing']) {
			db_use('query',"update person set life=0 where id_person='".$myinfo->id_person."'");
			$mess='Не получилось';
			db_use('query',"insert into chat (timestamp,id_room,nick,text,color,type) values(".time().",'0','".$id_person_x."','<img src=../i/items/vampir.gif> Вас попыта".($myinfo->sex?'лась':'лся').' укусить вампир '.$myinfo->name.'['.$myinfo->level.']'.", но у него ничего не вышло :)','Black','5')");
		}else{
			$life=($myinfo->life+$res['life']>$myinfo->maxlife()?$myinfo->life+$res['life']:$myinfo->maxlife());
			db_use('query',"update person set life=0 where id_person='".$id_person_x."'");
			db_use('query',"update person set life='".$life."' where id_person='".$myinfo->id_person."'");
			$mess='Все прошло удачно';
			db_use('query',"insert into chat (timestamp,id_room,nick,text,color,type) values(".time().",'0','".$id_person_x."','<img src=../i/items/vampir.gif> На вас напал".($myinfo->sex?'а':'').' '.$myinfo->name.'['.$myinfo->level.']'." и выпил всю энергию','Black','5')");
		}
	}
}
if ($_REQUEST['tohelp']) {
die;
	$res=db_use('array',"select p.id_person,p.align,b.id_battle,p.id_room,b.complete,b.battle_type,b.k,bu.team from person p
	left join battle b on b.id_battle=p.id_battle 
	left join battle_units bu on bu.id_battle=b.id_battle and bu.id_person=p.id_person
	where (p.persname='".mysql_escape_string($_REQUEST['tohelp'])."' or p.id_person=(select id_person from users where login='".mysql_escape_string($_REQUEST['tohelp'])."'))");
	$id_person_x=$res['id_person'];
	if (!$id_person_x) {
		$mess='Персонаж не найден';
	} elseif ($res['align']!=3){
		$mess='Персонаж не имеет темной склонности';
	}elseif ($res['team']<1 && $res['complete']!=1){
		$mess='Персонаж не находится в поединке';
	}elseif ($res['id_room']!=$myinfo->id_room) {
		$mess='Вы должны находиться в одной комнате с тем пому помогаете';
	}elseif ($res['battle_type']!=1 && $res['battle_type']!=2){
		$mess='Вы не можете вмешаться в данный поединок';
	}elseif ($myinfo->id_battle){
		$mess='Вы уже находитесь в бою';
	}else{
		$x=db_use("array","select b.id_battle from battle b left join battle_units bu on bu.id_battle=b.id_battle and bu.id_person='".$myinfo->id_person."' where b.complete=0 and bu.id_person='".$myinfo->id_person."'");
		if ($x['id_battle']){
			$mess='Сначала отзовите свою заявку';
		}else{
		db_use('query',"update battle set battle_type=4 where id_battle='".$res['id_battle']."'");
		db_use('query',"INSERT INTO battle_units (id_battle,id_person,team,starthp,userlevel) 
		VALUES ('".$res['id_battle']."','".$myinfo->id_person."',".$res['team'].",'".$myinfo->maxlife()."','".$myinfo->level."');");
		db_use('query',"update person set id_battle='".$res['id_battle']."' where id_person='".$myinfo->id_person."'");
							
		#вмешался в поединок
		db_use('query',"INSERT INTO battle_step (id_battle,id_person1,id_person2,is_result) VALUES (".$res['id_battle'].",".($res['team']==1?$myinfo->id_person:0).",".($res['team']==2?$myinfo->id_person:0).",1)");
		$id_bstep=mysql_insert_id();
		$x=db_use('array',"select max(id_event) as max1 FROM battle_event WHERE id_battle='".$res['id_battle']."'");
		db_use('query',"INSERT INTO battle_event (id_battle,id_event,id_bstep,timestamp,type1,udar,block,event_logtype) VALUES (".$res['id_battle'].",".($x['max1']+1).",".$id_bstep.",".time().",".$res['team'].",0,0,6);");
		
		
		
$battle_units=db_use('query',"SELECT bu.id_person,bu.userlevel,bu.starthp,bu.team FROM battle_units bu WHERE bu.id_battle='".$res['id_battle']."' order by team;");
unset ($i);$n=-1;
while ($i<mysql_num_rows($battle_units)) { # получить массив противников
	$i++;$s=mysql_fetch_array($battle_units);if ($i==1) {$oldteam=$s['team'];$enableunset=true;}
	if ($oldteam==$s['team']) {$n++;} elseif ($enableunset) {$n=0;$enableunset=false;}else{$n++;}
	$temp=new Persinfo($s['id_person']);
	$pls_nick[$s['team']][$n]=$temp->name; #echo $n;
	$pls_id[$s['team']][$n]=$s['id_person'];
	$pls_level[$s['team']][$n]=$s['userlevel'];
	$pls_maxhp[$s['team']][$n]=$s['starthp'];
	$pls_hp[$s['team']][$n]=$temp->life;
	if ($s['id_person']==$myinfo->id_person) {
		$i_mine=$n;
	}
}unset($i,$temp);

	$id_enemy=get_next_enemy(0,$res['team'],$pls_id,$pls_hp,$myinfo->id_person);	
#echo $id_enemy;
	db_use('query',"INSERT INTO battle_step (id_battle,id_person1,id_person2,is_result) VALUES (".$res['id_battle'].",".($res['team']==1?$myinfo->id_person:$id_enemy).",".($res['team']==2?$myinfo->id_person:$id_enemy).",0)");	
	db_use('query',"update battle_units set id_enemy='".$id_enemy."' where id_person='".$myinfo->id_person."' and id_battle='".$res['id_battle']."'");
echo "<script>top.frames['main".$myinfo->id_person."'].location.href='/battle.php';</script>";
	}#in battle
	}#norm
}#tohelp



echo "Обкуренный с нами, собрат <SCRIPT>drwfl(\"".$myinfo->name."\",".$myinfo->id_person.",\"".$myinfo->level."\",'".$myinfo->align."',\"".$myinfo->clanname."\")</SCRIPT></h3>
<FONT COLOR=red>".$mess."</FONT>";
?>

<H4>Наложить проклятие</H4>

<IMG SRC=../i/items/vampir.gif WIDTH=40 HEIGHT=25 ALT="Напасть вампиром" onClick="findlogin('Выпить энергию', 'dark.php', 'vampir', '',7)" style="cursor:hand">
<!-- 
<IMG SRC=../i/items/attack.gif WIDTH=40 HEIGHT=25 ALT="Вмешаться в поединок" <? 
#onClick="findlogin('Кому помочь в бою', 'dark.php', 'tohelp', '',7)" style="cursor:hand" 
?>> -->
<?
if ($myinfo->align=='3.99') { $darkabil='111111'; }
/* 
айпи
молчи
ист хаос

*/

if ($darkabil>0) {
	
echo"<B>АБИЛКИ НЕ РАБОТАЮТ</B><br />";
	
if ($darkabil[0]) {
echo '<form method=post action=dark.php>IP:<input type=text name=ip><input type=submit value="Поиск" name=checkip><input type=checkbox name=noblock>не в блоке</form>';
echo '<form method=post action=dark.php>Ник:<input type=text name=nick><input type=submit value="Поиск" name=checknick><input type=checkbox name=noblock>не в блоке</form>';
if ($_REQUEST['checkip']) {
echo $_REQUEST['noblock'];
$steps=db_use('query',"select ls.*,u.login,p.level,p.id_person,p.align,c.clanname,p.blocked from login_stat ls left join users u on u.id_user=ls.id_user left join person p on p.id_person=u.id_person left join clans c on c.id_clan=p.id_clan where ls.ip_login like '%".mysql_escape_string(trim($_REQUEST['ip']))."%' ".($_REQUEST['noblock']=='on'?"and p.blocked<1 ":'')."order by ls.login_time desc limit 1000");
echo "<table>";
unset($i);while ($i<mysql_num_rows($steps)) { 
	$i++;$s=mysql_fetch_array($steps);
	echo ($s['blocked']?'<font color=gray>':'').$s['login_time'].' Входит "'.'<SCRIPT>drwfl("'.$s['login'].'",'.$s['id_person'].',"'.$s['level'].'","'.$s['align'].'","'.$s['clanname'].'");</SCRIPT>" '.$s['ip_login'].' '.($s['badpass']==1?'Неверный пароль':($s['badpass']==2?'Попытка входа с блокнутого IP':'')).($s['blocked']?'</font>':'').' <br>';
}
}
if ($_REQUEST['checknick']) {
$steps=db_use('query',"select ls.*,u.login,p.level,p.id_person,p.align,c.clanname,p.blocked from login_stat ls left join users u on u.id_user=ls.id_user left join person p on p.id_person=u.id_person left join clans c on c.id_clan=p.id_clan where u.login like '%".mysql_escape_string(trim($_REQUEST['nick']))."%' ".($_REQUEST['noblock']=='on'?"and p.blocked<1":'')." order by ls.login_time desc limit 1000");
echo "<table>";
unset($i);while ($i<mysql_num_rows($steps)) { 
	$i++;$s=mysql_fetch_array($steps);
	echo ($s['blocked']?'<font color=gray>':'').$s['login_time'].' Входит "'.'<SCRIPT>drwfl("'.$s['login'].'",'.$s['id_person'].',"'.$s['level'].'","'.$s['align'].'","'.$s['clanname'].'");</SCRIPT>" '.$s['ip_login'].' '.($s['badpass']==1?'Неверный пароль':($s['badpass']==2?'Попытка входа с блокнутого IP':'')).' '.($s['blocked']?'</font>':'').'<br>';
}
}#/da
}	

if ($darkabil[1]) { # Наложение молчанки - действие
if ($_REQUEST['sleep']!='') {
$login=$_REQUEST['sleep'];
#$_REQUEST['type']=1;
if($_REQUEST['type']=='15') {
$n=15*60;$t="15 минут";$molch=true;$pic='silence15';
}elseif ($_REQUEST['type']=='30') {
$n=30*60;$t="30 минут";$molch=true;$pic='silence30';
}elseif ($_REQUEST['type']=='1') {
$n=60*60;$t="1 час";$molch=true;$pic='silence30';
}elseif ($_REQUEST['type']=='3') {
$n=3*60*60;$t="3 часа";$molch=true;$pic='sleep';
}elseif ($_REQUEST['type']=='6') {
$n=6*60*60;$t="6 часов";$molch=true;$pic='sleep';
}elseif ($_REQUEST['type']=='12') {
$n=12*60*60;$t="12 часов";$molch=true;$pic='sleep';
}elseif ($_REQUEST['type']=='24') {
$n=24*60*60;$t="сутки";$molch=true;$pic='sleep';
}
}
if($molch){
		$res=db_use('array',"select id_person from person where persname='".mysql_escape_string($login)."' or id_person=(select id_person from users where login='".mysql_escape_string($login)."')");
		$id_person_x=$res['id_person'];
		if (!$id_person_x) {$mess='Персонаж не найден';} else{
			$res=db_use('array',"select id_person from person_on where id_person='".$id_person_x."' and type=1;");
			if ($res['id_person']) { $mess='На персонаже уже лежит заклятие молчания'; } else {
				db_use('query',"insert into person_on (id_person,id_paladin,type,timestamp2) values('".$id_person_x."','".$myinfo->id_person."','1','".(time()+$n)."')");
				$mess="На персонажа ".$login." наложено заклятие молчания сроком ".$t.".";
				$text='<font class=date>'.date('d.m.y H:i').'</font> <IMG SRC=../i/items/'.$pic.'.gif WIDTH=40 HEIGHT=25 BORDER=0 ALT=""> Тарман "'.$myinfo->name.'" наложил'.($myinfo->sex?'а':'').' заклятие молчания на "'.$login.'", сроком '.$t;
				db_use('query',"insert into chat (timestamp,id_room,nick,text,color,type) values(".time().",'".$myinfo->id_room."','','".$text."','','2')");
				db_use('query',"insert into pals_delo(id_person,id_paladin,level,align,message,type) values('".$id_person_x."','".$myinfo->id_person."','".$myinfo->level."','".$myinfo->align."','Молчанка на ".$t."','5')");
			}
		}
}
}#-------------------------------------------------------------------
if ($darkabil[2]) { # Снятие молчанки - действие
if ($_REQUEST['unsleep']!='') {
		$res=db_use('array',"select id_person from person where persname='".mysql_escape_string($_REQUEST['unsleep'])."' or id_person=(select id_person from users where login='".mysql_escape_string($_REQUEST['unsleep'])."')");
		$id_person_x=$res['id_person'];
		if (!$id_person_x) {$mess='Персонаж не найден';} else{
			$res=db_use('array',"select o.id_person,p.align,p2.align as hisalign from person_on o 
			left join person p on p.id_person=o.id_paladin 
			left join person p2 on p2.id_person=o.id_person 
			where o.id_person='".$id_person_x."' and o.type=1;");
			if (!$res['id_person']) { $mess='На персонаже нет заклятия молчания'; } elseif (ispal($res['align']) && (int)$res['hisalign']==3) {$mess='Нельзя снять молчанку наложенную паладином на темного';} else {
				
				db_use('query',"delete from person_on where id_person='".$id_person_x."' and type=1");
				$mess="C персонажа ".$_REQUEST['unsleep']." снято заклятие молчания.";
				$text='<font class=date>'.date('d.m.y H:i').'</font> <IMG SRC=../i/items/pal_button3.gif WIDTH=40 HEIGHT=25 BORDER=0 ALT=""> Паладин "'.$myinfo->name.'" снял'.($myinfo->sex?'а':'').' заклятие молчания с "'.$_REQUEST['unsleep'].'"';
				db_use('query',"insert into chat (timestamp,id_room,nick,text,color,type) values(".time().",'".$myinfo->id_room."','','".$text."','','2')");
				db_use('query',"insert into pals_delo(id_person,id_paladin,level,align,message,type) values('".$id_person_x."','".$myinfo->id_person."','".$myinfo->level."','".$myinfo->align."','Снята молчанка','5')");
			}
		}
}
}

if ($darkabil[3]) { # ХАОС - действие

	if ($_REQUEST['chaos']!='') {
	$_REQUEST['type']=1;
		if($_REQUEST['type']=='1') {
			$n=24*60*60;$t="одни сутки";$chaos=true;
		}elseif ($_REQUEST['type']=='2') {
			$n=2*24*60*60;$t="два дня";$chaos=true;
		}elseif ($_REQUEST['type']=='7') {
			$n=7*24*60*60;$t="неделя";$chaos=true;
		}elseif ($_REQUEST['type']=='14') {
			$n=14*24*60*60;$t="две недели";$chaos=true;
		}elseif ($_REQUEST['type']=='30') {
			$n=30*24*60*60;$t="один месяц";$chaos=true;
		}elseif ($_REQUEST['type']=='60') {
			$n=60*24*60*60;$t="два месяца";$chaos=true;
		}elseif ($_REQUEST['type']=='90') {
			$n=90*24*60*60;$t="сутки";$chaos=true;
		}elseif ($_REQUEST['type']=='-1') {
			$n=0;$t="бессрочно";$chaos=true;
		}#echo $_REQUEST['type'];die;
		if($chaos){#echo 'wefwef';
			$res=db_use('array',"select id_person from person where persname='".mysql_escape_string($_REQUEST['chaos'])."' or id_person=(select id_person from users where login='".mysql_escape_string($_REQUEST['chaos'])."')");
			$id_person_x=$res['id_person'];
			if (!$id_person_x) {$mess='Персонаж не найден';} else{
				$res=db_use('array',"select id_person,align from person where id_person='".$id_person_x."'");
				if ($res['id_person'] && (int)$res['align']==2) { $mess='Персонаж уже имеет склонность "Хаос"'; } 
				#elseif ($res['id_person'] && $res['align']>3 && $res['align']<4 {
				#	$mess='Нельзя наложить хаос на Тармана.';
				#}
				else {
					db_use('query',"update person set align=2.9,id_clan=0,unchaos_timestamp='".($n?(time()+$n):0)."' where id_person='".$id_person_x."'");
					db_use('query',"delete from clans_pers where id_person='".$id_person_x."'");
					$mess='Персонаж '.$_REQUEST['chaos'].' сослан в "Истинный Хаос"'.(!$n?'':' сроком').' '.$t.'.';
					$text='<font class=date>'.date('d.m.y H:i').'</font> <IMG SRC=../i/items/pal_button4.gif WIDTH=40 HEIGHT=25 BORDER=0 ALT=""> Тарман "'.$myinfo->name.'" отправил'.($myinfo->sex?'а':'').' в истинный хаос "'.$_REQUEST['chaos'].'"'.(!$n?'':' сроком').' '.$t.'.';
					db_use('query',"insert into chat (timestamp,id_room,nick,text,color,type) values(".time().",'".$myinfo->id_room."','".mysql_escape_string($_REQUEST['chaos'])."','".$text."','','2')");
					db_use('query',"insert into pals_delo(id_person,id_paladin,level,align,message,type) values('".$id_person_x."','".$myinfo->id_person."','".$myinfo->level."','".$myinfo->align."','Отправлен в истинный хаос".(!$n?'':' сроком').' '.$t."','5')");
				}
			}
		}
	}
}

	
echo "<FONT COLOR=red>".$mess."</FONT>";

echo"<H4>Наложить/снять заклятие</H4>";

echo "<table border=0 width=100%><tr><td align=left>";
if ($darkabil[1]) { # Наложение молчанки
	echo"<IMG SRC=../i/items/sleep.gif WIDTH=40 HEIGHT=25 ALT=\"Наложить заклятие молчания\" onclick=\"findlogin('Заклятие молчания', 'dark.php', 'sleep', '',7,'</TD><TD><SELECT name=type><OPTION value=15>15 минут</OPTION><OPTION value=30>30 минут</OPTION><OPTION value=1>1 час</OPTION><OPTION value=3>3 часа</OPTION><OPTION value=6>6 часов</OPTION><OPTION value=12>12 часов</OPTION><OPTION VALUE=24>24 часа</OPTION></SELECT>')\" style=\"cursor:hand\">";
}
if ($darkabil[2]) { # Снятие молчанки 
echo"<IMG SRC=../i/items/pal_button3.gif WIDTH=40 HEIGHT=25 ALT=\"Снять молчанку\" onclick=\"findlogin('Снять молчанку', 'dark.php', 'unsleep', '',7)\" style=\"cursor:hand\">
";
}
echo "&nbsp;&nbsp;";
if ($darkabil[3]) { # ХАОС
echo"<IMG SRC=../i/items/pal_button4.gif WIDTH=40 HEIGHT=25 ALT=\"Отправить в Истинный Хаос\" onclick=\"findlogin('Отправить в Истинный Хаос', 'dark.php', 'chaos', '',7,'</TD><TD><SELECT name=type><OPTION value=1>сутки</OPTION><OPTION value=2>два дня</OPTION><OPTION value=7>неделя</OPTION><OPTION value=14>две недели</OPTION><OPTION value=30>месяц</OPTION><OPTION value=60>2 месяца</OPTION><OPTION VALUE=90>3 месяца</OPTION><OPTION VALUE=-1>бессрочно</OPTION></SELECT>')\" style=\"cursor:hand\">
";
}
if ($pal_abil[9]) { # Снятие Хаоса
echo"<IMG SRC=../i/items/pal_button5.gif WIDTH=40 HEIGHT=25 ALT=\"Снять Хаос\" onclick=\"findlogin('Снять Хаос', 'dark.php', 'unchaos', '',7)\" style=\"cursor:hand\">
";
}
}#/darkabil
?>


</BODY>
</HTML>
<?
}
}
if (!$ok_sess) {
$session->destroy_session(session_id() );
session_destroy();
header("Location: totop.htm"); die;
}
?>